module mde.input.exception;

import mde.exception;

/// Base Input exception class.
class inputException : mdeException {
    const override symbol = super.symbol ~ ".input";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class InputClassException : inputException {
    const override symbol = super.symbol ~ ".input.Input";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class ConfigLoadException : inputException {
    const override symbol = super.symbol ~ ".config.Config";
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
